<?php
namespace ElementsKit\Hooks;

defined( 'ABSPATH' ) || exit;


class Register_Modules{
    use \ElementsKit\Traits\Singleton;

    public function __construct(){
        add_filter( 'elementskit/modules/list', [$this, 'get_list'] );
    }


    public function get_list($list){


        return array_merge($list, [
            'parallax' => [
                'slug'              => 'parallax',
                'package'           => 'pro',
                'title'             => 'افکت های پارالاکس',
                'base_class_name'   => '\ElementsKit\Modules\Parallax\Init',
            ],
            'sticky-content' => [
                'slug'              => 'sticky-content',
                'package'           => 'pro',
                'title'             => 'محتوای چسبان',
                'base_class_name'   => '\ElementsKit\Modules\Sticky_Content\Init',
            ],
            'header-footer' => [
                'slug'              => 'header-footer',
                'package'           => 'pro',
                'title'             => 'سازنده هدر و فوتر',
                'base_class_name'   => '\ElementsKit\Modules\Header_Footer\Init',
            ],
            'facebook-messenger' => [
                'slug'              => 'facebook-messenger',
                'package'           => 'pro',
                'title'             => 'Facebook Messenger',
                'base_class_name'   => '\ElementsKit\Modules\Facebook_Messenger\Init',
            ],
            'conditional-content' => [
                'slug'              => 'conditional-content',
                'package'           => 'pro',
                'title'             => 'محتوای شرطی',
                'base_class_name'   => '\ElementsKit\Modules\Conditional_Content\Init',
            ],
            'copy-paste-cross-domain' => [
                'slug'              => 'copy-paste-cross-domain',
                'package'           => 'pro',
                'title'             => 'کپی عنصر از دامنه ای دیگر',
                'base_class_name'   => '\ElementsKit\Modules\Copy_Paste_Cross_Domain\Init',
            ],
            'advanced-tooltip' => [
                'slug'              => 'advanced-tooltip',
                'package'           => 'pro',
                'title'             => 'تولتیپ پیشرفته',
                'base_class_name'   => '\ElementsKit\Modules\Advanced_Tooltip\Init',
            ],
        ]);
    }
}